SDL_GetPixelFormatFromGPUTextureFormat(3)

NAME
SDL_GetPixelFormatFromGPUTextureFormat - Get the SDL pixel format corresponding to a GPU texture format.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

SDL_PixelFormat SDL_GetPixelFormatFromGPUTextureFormat(SDL_GPUTextureFormat format);

FUNCTION PARAMETERS

format
    a texture format.

RETURN VALUE
Returns the corresponding pixel format, or SDL_PIXELFORMAT_UNKNOWN if there is no corresponding pixel format.

AVAILABILITY
This function is available since SDL 3.4.0.